#!/bin/tcsh -f
# Script to count files in database pending to be ingested!!

set SCRIPT_FOLDER     = /home/ssaops/ssaComponents/crontab-scripts
set LOGFILE           = /tmp/databasePendingIngestionFiles.`date +%y%m%d_%H%M%S`.log
set EMAIL_LIST        = esdc_soho_logs@sciops.esa.int,Luis.Sanchez@esa.int
set EMAIL_CC_LIST     = pedro.osuna@sciops.esa.int
set EMAIL_SUBJECT_TAG = SSA_INGEST
set OUTPUT_FILE       = pendingIngestData.output
set OUTPUT_FILE2      = dataIngestedLastWeek.output
set HOSTNAME          = ssa.esac.esa.int
set PORT              = 8300
set USERNAME          = ssa_dao
set DATABASE          = soho

psql -h $HOSTNAME -p $PORT -U $USERNAME $DATABASE -o $OUTPUT_FILE < $SCRIPT_FOLDER/countPendingIngestData.sql
psql -h $HOSTNAME -p $PORT -U $USERNAME $DATABASE -o $OUTPUT_FILE2 < $SCRIPT_FOLDER/countLastWeekIngestedData.sql

echo '##############################################################'     | tee -a $LOGFILE
echo " Files waiting to be ingested in [$HOSTNAME]:$PORT/$DATABASE"       | tee -a $LOGFILE
echo " `date` "							  	  | tee -a $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE
cat $OUTPUT_FILE >> $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE


echo '##############################################################'     | tee -a $LOGFILE
echo " Files ingested during last week (current date -7) " 		  | tee -a $LOGFILE
echo " in [$HOSTNAME]:$PORT/$DATABASE"       				  | tee -a $LOGFILE
echo " `date` "							  	  | tee -a $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE
cat $OUTPUT_FILE2 >> $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE

echo ''                                                                   | tee -a $LOGFILE
echo 'Please check current Import/Ingest status at:'                      | tee -a $LOGFILE
echo 'https://issues.cosmos.esa.int/socciwiki/x/3wN3'                     | tee -a $LOGFILE

cat $LOGFILE | /bin/mailx -s "[$EMAIL_SUBJECT_TAG] Database pending ingestion files" -c $EMAIL_CC_LIST $EMAIL_LIST
rm $LOGFILE
rm $OUTPUT_FILE
rm $OUTPUT_FILE2
