#!/bin/tcsh -f
# Script to count files in Stage area pending to be imported!!

set LOGFILE           = /tmp/stageAreaCurrentFiles.`date +%y%m%d_%H%M%S`.log
set EMAIL_LIST        = esdc_soho_logs@sciops.esa.int,Luis.Sanchez@esa.int
set EMAIL_CC_LIST     = pedro.osuna@sciops.esa.int
set EMAIL_SUBJECT_TAG = SSA_IMPORT

set STAGEFOLDER=/ssa/stage
echo '##############################################################'     | tee -a $LOGFILE
echo " Files waiting to be imported in $STAGEFOLDER"                      | tee -a $LOGFILE
echo " `date` "							  	  | tee -a $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE
echo "CDS      Files: `ls -1 $STAGEFOLDER/science/cds/data | wc -l `"     | tee -a $LOGFILE
echo "CELIAS   Files: `ls -1 $STAGEFOLDER/science/celias/data | wc -l `"  | tee -a $LOGFILE
echo "COSTEP   Files: `ls -1 $STAGEFOLDER/science/costep/data | wc -l `"  | tee -a $LOGFILE
echo "EIT      Files: `ls -1 $STAGEFOLDER/science/eit/data | wc -l `"     | tee -a $LOGFILE
echo "ERNE     Files: `ls -1 $STAGEFOLDER/science/erne/data | wc -l `"    | tee -a $LOGFILE
echo "GOLF     Files: `ls -1 $STAGEFOLDER/science/golf/data | wc -l `"    | tee -a $LOGFILE
echo "LASCO    Files: `ls -1 $STAGEFOLDER/science/lasco/data | wc -l `"   | tee -a $LOGFILE
echo "LYRA     Files: `ls -1 $STAGEFOLDER/science/lyra/data | wc -l `"    | tee -a $LOGFILE
echo "MDI      Files: `ls -1 $STAGEFOLDER/science/mdi/data | wc -l `"     | tee -a $LOGFILE
echo "SUMER    Files: `ls -1 $STAGEFOLDER/science/sumer/data | wc -l `"   | tee -a $LOGFILE
echo "SWAN     Files: `ls -1 $STAGEFOLDER/science/swan/data | wc -l `"    | tee -a $LOGFILE
echo "SWAP     Files: `ls -1 $STAGEFOLDER/science/swap/data | wc -l `"    | tee -a $LOGFILE
echo "UVCS     Files: `ls -1 $STAGEFOLDER/science/uvcs/data | wc -l `"    | tee -a $LOGFILE
echo "VIRGO    Files: `ls -1 $STAGEFOLDER/science/virgo/data | wc -l `"   | tee -a $LOGFILE
echo "REALTIME Files: `ls -1 $STAGEFOLDER/realtime/images/data | wc -l `" | tee -a $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE
echo ''                                                                   | tee -a $LOGFILE
echo ''                                                                   | tee -a $LOGFILE
echo 'Please check current Import/Ingest status at:'                      | tee -a $LOGFILE
echo 'https://issues.cosmos.esa.int/socciwiki/x/3wN3'                     | tee -a $LOGFILE

cat $LOGFILE | /bin/mailx -s "[$EMAIL_SUBJECT_TAG] Stage area current files" -c $EMAIL_CC_LIST $EMAIL_LIST
rm $LOGFILE
